View Issue Details

IDProjectCategoryView StatusLast Update
0000455FreeCADBugpublic2012-01-16 21:55
ReporterunauthenticatedAssigned To 
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionfixed 
Product Version0.11 
Target VersionFixed in Version0.13 
Summary0000455: Import :igs files
Descriptioncrash when I try to open .igs files
for esampe see:http://www.kurtworkholding.com/downloads/igs/
FreeCAD run on:
MS Windows Vista Home Premium 32-bit SP2
AMD Turion 64 X2 Mobile TL-52
TagsNo tags attached.

Activities

jacques2011

2011-10-31 19:32

reporter   ~0001202

had the same problem -- resulted in an exception thrown, but it seems that it works under Linux or MacOsx

Jriegel

2011-11-04 21:06

administrator   ~0001242

The problem is that OpenCasCade (our CAD kernel) can not load that. The header gives a indication why:

SolidWorks IGES file using analytic representation for surfaces S 1
1H,,1H;,16HCT2DC4B end_user,77HC:\3D Vise model - end user\CT2DC4B\ct2dcG 1
4b end user\CT2DC4B end-user IGS.IGS,41HSolidWorks 2006 by SolidWorks CoG 2
rporation,41HSolidWorks 2006 by SolidWorks Corporation,32,308,15,308, G 3
15,16HCT2DC4B end_user,1.,1,2HIN,50,0.125,13H060719.073636,1E-008, G 4
19684.6456692913,5HIlyaK,,11,0,13H060719.073636; G 5

Solid works seams to use very uncommon IGES elements.

This is a bug report for the OpenCascade project....

unauthenticated

2011-11-12 14:35

viewer   ~0001280

Last edited: 2011-11-20 18:09

Thank you very much!
(I'm the 'unaunthenticated' )
---- EXCUSE MY ENGLISH !!!! ----
I open this files correctly with gcad and HeeksCAD
but I do not be able to export this files in dxf
HELP!
THANK'S

Solution:
Version unstable 0.12.5149 seems open this file !
Thank's

yorik

2012-01-16 21:55

administrator   ~0001585

I tried downloading and opening a few files from that site and indeed all seems to work fine now. I think we can close this...

Issue History

Date Modified Username Field Change
2011-10-23 20:58 unauthenticated New Issue
2011-10-31 19:32 jacques2011 Note Added: 0001202
2011-11-04 21:06 Jriegel Note Added: 0001242
2011-11-04 21:06 Jriegel Status new => closed
2011-11-04 21:06 Jriegel Resolution open => not fixable
2011-11-12 14:35 unauthenticated Note Added: 0001280
2011-11-12 14:35 unauthenticated Status closed => feedback
2011-11-12 14:35 unauthenticated Resolution not fixable => reopened
2011-11-20 18:09 unauthenticated Note Edited: 0001280
2012-01-16 21:55 yorik Note Added: 0001585
2012-01-16 21:55 yorik Status feedback => closed
2012-01-16 21:55 yorik Resolution reopened => fixed
2012-01-16 21:55 yorik Fixed in Version => 0.13